Launching ant with gij

Tom Tromey tromey@redhat.com
Wed Mar 17 09:47:00 GMT 2004


>>>>> "Arnaud" == Arnaud Vandyck <arnaud.vandyck@ulg.ac.be> writes:

Arnaud> Unable to load default ProjectHelper due to java.lang.VerifyError:
Arnaud>  verification failed at PC 262 in 
Arnaud>  org.apache.tools.ant.helper.ProjectHelperImpl:parse(
Arnaud>  (Lorg.apache.tools.ant.Project;Ljava.lang.Object;)V):
Arnaud>  incompatible type on stack

This is almost certainly an older version of gij with a buggy verifier.
For this problem, the verifier in 3.4 should work ok.  (There are
other bugs for which you would need an even newer version.)

If you're already running 3.4, then that's news... you could also
turn off the verifier easily enough, if you can recompile libgcj.
Just comment out the body of _Jv_VerifyMethod in libjava/verify.cc.

We should probably have some command-line control over this.  I
believe the JDK doesn't bother verifying classes that come from the
class path.

Arnaud> arnaud@oz:~/prj/antgcj$ gij --classpath /usr/share/java/ant-1.6.jar:\
Arnaud>  /usr/share/ant1.6/lib/ant-launcher.jar:/usr/share/java/jaxp-1.2.jar \
Arnaud>  org.apache.tools.ant.launch.Launcher -Dant.home=/usr/share/ant1.6
Arnaud> Unable to locate tools.jar. Expected to find it in /usr/local/lib/tools.jar

You may need to set `build.compiler' to `gcj' to circumvent this error.

Tom



More information about the Java mailing list